/*
 * Copyright 2010 Paul Gearon.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.mulgara.mrg.vocab;

import org.mulgara.mrg.Uri;

/**
 * A class for holding the VCard vocabulary.
 */
public class VCARD {

  /** The URI of the VCARD name space. */
  public static final Uri BASE_URI = Uri.create(org.mulgara.mrg.vocab.uri.VCARD.BASE);

  public static final Uri ORGPROPERTIES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ORGPROPERTIES);
  public static final Uri ADRTYPES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ADRTYPES);
  public static final Uri NPROPERTIES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.NPROPERTIES);
  public static final Uri EMAILTYPES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.EMAILTYPES);
  public static final Uri TELTYPES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.TELTYPES);
  public static final Uri ADRPROPERTIES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ADRPROPERTIES);
  public static final Uri TZTYPES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.TZTYPES);
  public static final Uri STREET = new Uri(org.mulgara.mrg.vocab.uri.VCARD.STREET);
  public static final Uri AGENT = new Uri(org.mulgara.mrg.vocab.uri.VCARD.AGENT);
  public static final Uri SOURCE = new Uri(org.mulgara.mrg.vocab.uri.VCARD.SOURCE);
  public static final Uri LOGO = new Uri(org.mulgara.mrg.vocab.uri.VCARD.LOGO);
  public static final Uri BDAY = new Uri(org.mulgara.mrg.vocab.uri.VCARD.BDAY);
  public static final Uri REV = new Uri(org.mulgara.mrg.vocab.uri.VCARD.REV);
  public static final Uri SORT_STRING = new Uri(org.mulgara.mrg.vocab.uri.VCARD.SORT_STRING);
  public static final Uri ORGNAME = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ORGNAME);
  public static final Uri CATEGORIES = new Uri(org.mulgara.mrg.vocab.uri.VCARD.CATEGORIES);
  public static final Uri N = new Uri(org.mulgara.mrg.vocab.uri.VCARD.N);
  public static final Uri PCODE = new Uri(org.mulgara.mrg.vocab.uri.VCARD.PCODE);
  public static final Uri PREFIX_ = new Uri(org.mulgara.mrg.vocab.uri.VCARD.PREFIX_);
  public static final Uri PHOTO = new Uri(org.mulgara.mrg.vocab.uri.VCARD.PHOTO);
  public static final Uri FN = new Uri(org.mulgara.mrg.vocab.uri.VCARD.FN);
  public static final Uri ORG = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ORG);
  public static final Uri SUFFIX = new Uri(org.mulgara.mrg.vocab.uri.VCARD.SUFFIX);
  public static final Uri CLASS = new Uri(org.mulgara.mrg.vocab.uri.VCARD.CLASS);
  public static final Uri ADR = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ADR);
  public static final Uri REGION = new Uri(org.mulgara.mrg.vocab.uri.VCARD.REGION);
  public static final Uri GEO = new Uri(org.mulgara.mrg.vocab.uri.VCARD.GEO);
  public static final Uri EXTADD = new Uri(org.mulgara.mrg.vocab.uri.VCARD.EXTADD);
  public static final Uri GROUP = new Uri(org.mulgara.mrg.vocab.uri.VCARD.GROUP);
  public static final Uri EMAIL = new Uri(org.mulgara.mrg.vocab.uri.VCARD.EMAIL);
  public static final Uri UID = new Uri(org.mulgara.mrg.vocab.uri.VCARD.UID);
  public static final Uri FAMILY = new Uri(org.mulgara.mrg.vocab.uri.VCARD.FAMILY);
  public static final Uri TZ = new Uri(org.mulgara.mrg.vocab.uri.VCARD.TZ);
  public static final Uri NAME = new Uri(org.mulgara.mrg.vocab.uri.VCARD.NAME);
  public static final Uri ORGUNIT = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ORGUNIT);
  public static final Uri COUNTRY = new Uri(org.mulgara.mrg.vocab.uri.VCARD.COUNTRY);
  public static final Uri SOUND = new Uri(org.mulgara.mrg.vocab.uri.VCARD.SOUND);
  public static final Uri TITLE = new Uri(org.mulgara.mrg.vocab.uri.VCARD.TITLE);
  public static final Uri NOTE = new Uri(org.mulgara.mrg.vocab.uri.VCARD.NOTE);
  public static final Uri MAILER = new Uri(org.mulgara.mrg.vocab.uri.VCARD.MAILER);
  public static final Uri OTHER = new Uri(org.mulgara.mrg.vocab.uri.VCARD.OTHER);
  public static final Uri LOCALITY = new Uri(org.mulgara.mrg.vocab.uri.VCARD.LOCALITY);
  public static final Uri POBOX = new Uri(org.mulgara.mrg.vocab.uri.VCARD.POBOX);
  public static final Uri KEY = new Uri(org.mulgara.mrg.vocab.uri.VCARD.KEY);
  public static final Uri PRODID = new Uri(org.mulgara.mrg.vocab.uri.VCARD.PRODID);
  public static final Uri GIVEN = new Uri(org.mulgara.mrg.vocab.uri.VCARD.GIVEN);
  public static final Uri LABEL = new Uri(org.mulgara.mrg.vocab.uri.VCARD.LABEL);
  public static final Uri TEL = new Uri(org.mulgara.mrg.vocab.uri.VCARD.TEL);
  public static final Uri NICKNAME = new Uri(org.mulgara.mrg.vocab.uri.VCARD.NICKNAME);
  public static final Uri ROLE = new Uri(org.mulgara.mrg.vocab.uri.VCARD.ROLE);

}
